.block-impressivenumbers {
    margin: 0;
    padding: var(--spacing-top) 0 var(--spacing-bottom) 0;
    position: relative;
    background: var(--bgcolor);

    h2 {
        font-size: var(--font-size-h4);
        line-height: 1.33;
        text-align: center;
    }

    ul.numbers {
        margin: 0;
        padding: 0;
        display: flex;
        flex-wrap: wrap;
        gap: clamp(20px,5.6vw,56px) 20px;
        justify-content: center;

        li {
            text-align: center;
            max-width: 424px;
            margin: 0;
        }
    }

    h3 {
        color: #171C21;
        font-size: var(--font-size-h1);
        line-height: 1.1;
    }

    p {
        color: #171C21;
        font-size: var(--font-size-body-l);
        line-height: 1.5;
        margin: 0;
    }

    .hbspt-form {
        margin: 48px auto;
        max-width: 560px;

        .hs-input {
            margin-top: 0;
            font-family: var(--font-sans);
        }

        input[type="submit"] {
            margin: 16px auto 0 auto;
            width: min-content;
            flex-grow: 0;
            white-space: nowrap;
        }
    }



    @media screen and (min-width: 748px) {
        
        ul.numbers {
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
    
            li {
                width: calc(33.33% - 14px);
            }
        }


        .hbspt-form {
            form {
                flex-direction: row;
            }
            
            .hs-input {
                border-radius: 6px 0 0 6px;
                height: 46px;
                border-right: 0;
            }

            input[type="submit"] {
                margin: 0;
            }

            .hs-button {
                margin-top: 0;
                padding: 10px 20px;
                border-radius: 0 6px 6px 0;
                height: 46px;
            }

            .field {
                flex-grow: 1;
            }
        }
        
    }

}